FROM registry.c2cloud.cn/unicom/java:8
MAINTAINER ZORRO <yaoshun.chen@chinacreator.com>

# CI会在编译Docker镜像之前把编译产物拷贝到target目录下
RUN mkdir -p /data/
RUN mkdir -p /opt/
COPY target/*.jar /opt/unvideo.jar
WORKDIR /data

RUN /bin/cp /usr/share/zoneinfo/Asia/Shanghai /etc/localtime \
&& echo 'Asia/Shanghai' >/etc/timezone 

# Launch Tomcat
CMD ["java", "-jar", "/opt/unvideo.jar", "--spring.config.location=/data/application.yml"]
